#include "floor_ceiling.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2017
// Palette uses hardware values.
const u8 floor_ceiling_pal[16] = { 0x54, 0x44, 0x55, 0x5c, 0x4c, 0x56, 0x57, 0x5e, 0x40, 0x5f, 0x4e, 0x52, 0x53, 0x4a, 0x43, 0x4b };

// Tile floor_ceiling_sp_0: 30x10 pixels, 15x10 bytes.
const u8 floor_ceiling_sp_0[15 * 10] = {
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda, 0xf0, 0xcf, 0xcf, 0xcf, 0xda, 0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda, 0xf0, 0xe5, 0xe5, 0xf0, 0xda, 0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda, 0xe5, 0xf0, 0xcf, 0xda, 0xda, 0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda, 0xe5, 0xda, 0xe5, 0xcf, 0xda, 0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda, 0xe5, 0xcf, 0xf0, 0xe5, 0xda, 0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda, 0xe5, 0xe5, 0xcf, 0xf0, 0xda, 0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0, 0xe5, 0xf0, 0xda, 0xda, 0xf0, 0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0, 0xe5, 0xcf, 0xcf, 0xcf, 0xf0, 0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

// Tile floor_ceiling_sp_1: 30x10 pixels, 15x10 bytes.
const u8 floor_ceiling_sp_1[15 * 10] = {
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda, 0xf0, 0xcf, 0xcf, 0xcf, 0xda, 0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda, 0xf0, 0xe5, 0xe5, 0xf0, 0xda, 0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda, 0xe5, 0xf0, 0xcf, 0xda, 0xda, 0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda, 0xe5, 0xda, 0xe5, 0xcf, 0xda, 0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda, 0xe5, 0xcf, 0xf0, 0xe5, 0xda, 0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda, 0xe5, 0xe5, 0xcf, 0xf0, 0xda, 0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0, 0xe5, 0xf0, 0xda, 0xda, 0xf0, 0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0, 0xe5, 0xcf, 0xcf, 0xcf, 0xf0, 0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

// Tile floor_ceiling_sp_2: 30x10 pixels, 15x10 bytes.
const u8 floor_ceiling_sp_2[15 * 10] = {
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda, 0xf0, 0xcf, 0xcf, 0xcf, 0xda, 0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda, 0xf0, 0xe5, 0xe5, 0xf0, 0xda, 0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda, 0xe5, 0xf0, 0xcf, 0xda, 0xda, 0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda, 0xe5, 0xda, 0xe5, 0xcf, 0xda, 0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda, 0xe5, 0xcf, 0xf0, 0xe5, 0xda, 0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda, 0xe5, 0xe5, 0xcf, 0xf0, 0xda, 0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0, 0xe5, 0xf0, 0xda, 0xda, 0xf0, 0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0, 0xe5, 0xcf, 0xcf, 0xcf, 0xf0, 0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

// Tile floor_ceiling_sp_3: 30x10 pixels, 15x10 bytes.
const u8 floor_ceiling_sp_3[15 * 10] = {
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda, 0xf0, 0xcf, 0xcf, 0xcf, 0xda, 0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda, 0xf0, 0xe5, 0xe5, 0xf0, 0xda, 0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda, 0xe5, 0xf0, 0xcf, 0xda, 0xda, 0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda, 0xe5, 0xda, 0xe5, 0xcf, 0xda, 0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda, 0xe5, 0xcf, 0xf0, 0xe5, 0xda, 0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda, 0xe5, 0xe5, 0xcf, 0xf0, 0xda, 0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0, 0xe5, 0xf0, 0xda, 0xda, 0xf0, 0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0, 0xe5, 0xcf, 0xcf, 0xcf, 0xf0, 0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

// Tile floor_ceiling_sp_4: 20x10 pixels, 10x10 bytes.
const u8 floor_ceiling_sp_4[10 * 10] = {
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda, 0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda, 0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda, 0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda, 0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda, 0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda, 0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0, 0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0, 0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

