#include "walls.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2017
// Palette uses hardware values.
const u8 walls_pal[16] = { 0x54, 0x44, 0x55, 0x5c, 0x4c, 0x56, 0x57, 0x5e, 0x40, 0x5f, 0x4e, 0x52, 0x53, 0x4a, 0x43, 0x4b };

// Tile walls_sp_0: 10x30 pixels, 5x30 bytes.
const u8 walls_sp_0[5 * 30] = {
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

// Tile walls_sp_1: 10x30 pixels, 5x30 bytes.
const u8 walls_sp_1[5 * 30] = {
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

// Tile walls_sp_2: 10x30 pixels, 5x30 bytes.
const u8 walls_sp_2[5 * 30] = {
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

// Tile walls_sp_3: 10x30 pixels, 5x30 bytes.
const u8 walls_sp_3[5 * 30] = {
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

// Tile walls_sp_4: 10x30 pixels, 5x30 bytes.
const u8 walls_sp_4[5 * 30] = {
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

// Tile walls_sp_5: 10x30 pixels, 5x30 bytes.
const u8 walls_sp_5[5 * 30] = {
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xcf, 0xcf, 0xcf, 0xda,
	0xf0, 0xe5, 0xe5, 0xf0, 0xda,
	0xe5, 0xf0, 0xcf, 0xda, 0xda,
	0xe5, 0xda, 0xe5, 0xcf, 0xda,
	0xe5, 0xcf, 0xf0, 0xe5, 0xda,
	0xe5, 0xe5, 0xcf, 0xf0, 0xda,
	0xe5, 0xf0, 0xda, 0xda, 0xf0,
	0xe5, 0xcf, 0xcf, 0xcf, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

